View Issue Details

IDProjectCategoryView StatusLast Update
0001768NoesisGUIUnity3Dpublic2020-08-10 17:41
ReporterasusralisAssigned Tosfernandez 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.4 
Target Version3.0.5Fixed in Version3.0.5 
Summary0001768: Updating from 3.0.3 -> 3.0.4 results in Unity crashing.
DescriptionI attached the crash files. It seems to consistently happen when showing a specific usercontrol, but it is fairly large to show. No crashes on 3.0.3.

I was so excited to get 3.0.4 - four of my issues were resolved in it!
TagsNo tags attached.
PlatformAny

Activities

asusralis

asusralis

2020-08-04 11:22

reporter  

Crash_2020-08-04_091440632.zip (422,075 bytes)
jsantos

jsantos

2020-08-05 11:18

manager   ~0006552

I am so sorry about this :(
Let's see if we can release a new version next week. Thanks for the dump!
asusralis

asusralis

2020-08-06 08:39

reporter   ~0006555

No problem, thanks for the help :D
sfernandez

sfernandez

2020-08-10 12:24

manager   ~0006558

The crash is related with the new Grid SharedSizeGroup feature, are you using it in that particular UserControl?
Is there any chance you can attach the xaml so I can try to reproduce it myself to find the source of the problem?
asusralis

asusralis

2020-08-10 12:43

reporter   ~0006559

Last edited: 2020-08-10 12:54

View 2 revisions

Oh, I actually am. I tried using it ages ago but found it wasn't implemented in Noesis, so it stayed dormant. Removing those does stop it from crashing, but I can send you the xaml either way. I also found I'm also getting a separate error, so I'll make a new issue for that.

edit: the error was actually from a fix that came with 3.0.4 about a property now properly becoming read-only, so it isn't an issue.

sfernandez

sfernandez

2020-08-10 13:34

manager   ~0006561

Thanks for the xaml, unfortunately I can't make it crash here.
I generated a debug version of our library with some asserts that could help me idenitfy the problem.

https://drive.google.com/file/d/1ALKTKOZqkd5LGm3n-oq_Da4nVTJ54Yri

Could you please try to use that library in your project with the UserControl that produces the crash?
asusralis

asusralis

2020-08-10 16:05

reporter  

Crash_2020-08-10_140244225.rar (322,698 bytes)
asusralis

asusralis

2020-08-10 16:05

reporter   ~0006562

Does this work?
sfernandez

sfernandez

2020-08-10 17:02

manager   ~0006563

Yes, that was helpful, I was able to reproduce the bug.
We'll fix it for next release.

Issue History

Date Modified Username Field Change
2020-08-04 11:22 asusralis New Issue
2020-08-04 11:22 asusralis File Added: Crash_2020-08-04_091440632.zip
2020-08-05 11:18 jsantos Assigned To => sfernandez
2020-08-05 11:18 jsantos Status new => assigned
2020-08-05 11:18 jsantos Target Version => 3.0.5
2020-08-05 11:18 jsantos Description Updated View Revisions
2020-08-05 11:18 jsantos Note Added: 0006552
2020-08-06 08:39 asusralis Note Added: 0006555
2020-08-10 12:24 sfernandez Status assigned => feedback
2020-08-10 12:24 sfernandez Note Added: 0006558
2020-08-10 12:43 asusralis Note Added: 0006559
2020-08-10 12:43 asusralis Status feedback => assigned
2020-08-10 12:54 asusralis Note Edited: 0006559 View Revisions
2020-08-10 13:34 sfernandez Status assigned => feedback
2020-08-10 13:34 sfernandez Note Added: 0006561
2020-08-10 16:05 asusralis File Added: Crash_2020-08-10_140244225.rar
2020-08-10 16:05 asusralis Note Added: 0006562
2020-08-10 16:05 asusralis Status feedback => assigned
2020-08-10 17:02 sfernandez Note Added: 0006563
2020-08-10 17:29 sfernandez Status assigned => resolved
2020-08-10 17:29 sfernandez Resolution open => fixed
2020-08-10 17:29 sfernandez Fixed in Version => 3.0.5
2020-08-10 17:41 sfernandez Category C++ SDK => Unity3D